RealmBase.AllRolesMode (Tomcat API Documentation)
Keywords: org.apache.catalina.realm.RealmBase.AllRolesMode class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.realm
Class RealmBase.AllRolesMode

    java.lang.Object
      org.apache.catalina.realm.RealmBase.AllRolesMode

Enclosing class:
  RealmBase

    protected static class RealmBase.AllRolesMode

extends java.lang.Object

Field Summary
`static RealmBase.AllRolesMode` | `AUTH_ONLY_MODE` Allow any authenticated user
`static RealmBase.AllRolesMode` | `STRICT_AUTH_ONLY_MODE` Allow any authenticated user only if there are no web-app/security-roles
`static RealmBase.AllRolesMode` | `STRICT_MODE` Use the strict servlet spec interpretation which requires that the user have one of the web-app/security-role/role-name

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STRICT_MODE

    public static final RealmBase.AllRolesMode STRICT_MODE

  Use the strict servlet spec interpretation which requires that the user have one of the web-app/security-role/role-name

### AUTH_ONLY_MODE

    public static final RealmBase.AllRolesMode AUTH_ONLY_MODE

  Allow any authenticated user

### STRICT_AUTH_ONLY_MODE

    public static final RealmBase.AllRolesMode STRICT_AUTH_ONLY_MODE

  Allow any authenticated user only if there are no web-app/security-roles

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.